Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
UBIK Agent will launch soon, join the waitlist to get access!
Python
import requests url = "https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/documents/{document_id}/star" payload = { "is_starred": True } headers = { "X-API-KEY": "<api-key>", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PUT', headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({is_starred: true})};fetch('https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/documents/{document_id}/star', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request PUT \ --url https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/documents/{document_id}/star \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data '{ "is_starred": true}'
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Stars or unstars a document within the agent session.
Whether the document should be starred (true) or unstarred (false).
Successful Response
Was this page helpful?